Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 166778 - perfomance issue with compile on save "for both app and test"
perfomance issue with compile on save "for both app and test"
Status: VERIFIED FIXED
Product: projects
Classification: Unclassified
Component: Maven
6.x
PC Windows XP
: P3 (vote)
: 6.x
Assigned To: Milos Kleint
issues@platform
67patch1-verified
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-09 12:25 UTC by mihai
Modified: 2011-01-21 10:31 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments
ide log file (33.16 KB, text/plain)
2009-06-09 13:31 UTC, mihai
Details
Thread dump 1 (17.21 KB, text/plain)
2009-06-09 14:25 UTC, mihai
Details
Thread dump 2 (31.07 KB, text/plain)
2009-06-09 14:26 UTC, mihai
Details

Note You need to log in before you can comment on or make changes to this bug.
Description mihai 2009-06-09 12:25:14 UTC
I have maven projects opened in ide. With "compile on save" option, when i execute run or debug it takes about half of a
minute in order to appear the output window. And after the output window appear with "debug:" or "run:" as the only
output, it takes again another half of minute to continue.

When waiting for run or debug the ide is not freezing, it responds ok. but my procesor is in 50% load.

What can i do to enable some logging to see what is doing in that time?
Comment 1 mihai 2009-06-09 12:32:24 UTC
tested with 6.7 rc1,
I will download 6.7 rc2 to see if it is fixed. 
Comment 2 mihai 2009-06-09 13:31:49 UTC
Created attachment 83355 [details]
ide log file
Comment 3 mihai 2009-06-09 13:32:23 UTC
Same behavior with 6.7 rc2  
Comment 4 mihai 2009-06-09 14:25:52 UTC
Created attachment 83356 [details]
Thread dump 1
Comment 5 mihai 2009-06-09 14:26:15 UTC
Created attachment 83357 [details]
Thread dump 2
Comment 6 mihai 2009-06-10 12:18:58 UTC
How can i increase the log level in netbeans to see what the ide is doing when i am waiting for the run comand to start?
Comment 7 Milos Kleint 2009-06-10 12:29:12 UTC
logging might not reveal much, better to have threaddump and/or a Alt-Shift-Y takes a profiling snapshot (also in Memory
toolbar)..

from the threaddumps you've sent it seems the problem could be in copying of resources before the execution. There's a
bug filed against the java infrastructure that is deleting all content from the output folder, it should only delete the
*.class files. That way we loose all resources from the project and need to copy them before Run/Debug execution.

Could it be the case? do you have a vast number of resources to copy?
Comment 8 mihai 2009-06-10 13:59:13 UTC
Thank you for your answer! 
Yes, it is from the resources stuff.
What is the issue with the deleting the output folder? I want to vote for that issue.
Comment 9 Milos Kleint 2009-06-11 08:49:49 UTC
http://hg.netbeans.org/main/rev/ba3eff20b105

I was not able to find the issue and by experimenting with the code I figured it already got fixed, so I've reverted the
workaround placed there before. 
Comment 10 Quality Engineering 2009-06-11 18:42:43 UTC
Integrated into 'main-golden', will be available in build *200906111401* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/ba3eff20b105
User: Milos Kleint <mkleint@netbeans.org>
Log: #166778 only copy changed resources, not everything.
Comment 11 mihai 2009-06-11 21:39:08 UTC
Thank you guys. It is really fast now.
The 'main-golden' thing means that we will have this fix in 6.7 ?
Comment 12 Milos Kleint 2009-06-12 07:04:03 UTC
no, but it might appear in 6.7 bugfix release though.
Comment 13 Jaroslav Pospisil 2009-06-25 16:05:23 UTC
v.
Comment 14 pgebauer 2009-07-02 12:43:09 UTC
The fix has been ported into the release67_fixes repository.
http://hg.netbeans.org/release67_fixes/rev/873d89b04029


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo